package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJ16 extends MwfRequest<MWFJ16, MWFJ16Response> {

    @Parameter(name = "ContactKey")
    MWFJ16 contactKey(String contactKey);
    @Parameter(name = "ContactKeySnapDate")
    MWFJ16 contactKeySnapDate(java.util.Date contactKeySnapDate);
    @Parameter(name = "EDUID")
    MWFJ16 eduid(String eduid);
    @Parameter(name = "ID")
    MWFJ16 id(Long id);
    @Parameter(name = "INST_PT_KEY")
    MWFJ16 instPtKey(Long instPtKey);
    @Parameter(name = "KanalID")
    MWFJ16 kanalID(String kanalID);
    @Parameter(name = "KlientID")
    MWFJ16 klientID(String klientID);
    @Parameter(name = "KlientTyp")
    MWFJ16 klientTyp(String klientTyp);
    @Parameter(name = "KodOM")
    MWFJ16 kodOM(String kodOM);
    @Parameter(name = "KontaktSmer")
    MWFJ16 kontaktSmer(Long kontaktSmer);
    @Parameter(name = "OM")
    MWFJ16 om(String om);
    @Parameter(name = "OPRAVNENYKLIENT")
    MWFJ16 opravnenyklient(Long opravnenyklient);
    @Parameter(name = "OPRAVNENYZADALSSO")
    MWFJ16 opravnenyzadalsso(String opravnenyzadalsso);
    @Parameter(name = "OPRAVNENYZADALTEAM")
    MWFJ16 opravnenyzadalteam(String opravnenyzadalteam);
    @Parameter(name = "ObjektID")
    MWFJ16 objektID(String objektID);
    @Parameter(name = "ObjektTyp")
    MWFJ16 objektTyp(String objektTyp);
    @Parameter(name = "OfferKey")
    MWFJ16 offerKey(String offerKey);
    @Parameter(name = "Opravneny")
    MWFJ16 opravneny(Long opravneny);
    @Parameter(name = "PrioritaUkolu")
    MWFJ16 prioritaUkolu(Long prioritaUkolu);
    @Parameter(name = "ReseniPoznamka")
    MWFJ16 reseniPoznamka(String reseniPoznamka);
    @Parameter(name = "ReseniTyp")
    MWFJ16 reseniTyp(String reseniTyp);
    @Parameter(name = "SRC_SYS_ID")
    MWFJ16 srcSysId(String srcSysId);
    @Parameter(name = "SablonaHodnoty")
    MWFJ16 sablonaHodnoty(String sablonaHodnoty);
    @Parameter(name = "SablonaTyp")
    MWFJ16 sablonaTyp(Long sablonaTyp);
    @Parameter(name = "Segment")
    MWFJ16 segment(String segment);
    @Parameter(name = "TerminDoDatumACas")
    MWFJ16 terminDoDatumACas(java.util.Date terminDoDatumACas);
    @Parameter(name = "TerminOdDatumACas")
    MWFJ16 terminOdDatumACas(java.util.Date terminOdDatumACas);
    @Parameter(name = "UCID")
    MWFJ16 ucid(String ucid);
    @Parameter(name = "VlastnikID")
    MWFJ16 vlastnikID(String vlastnikID);
    @Parameter(name = "VlastnikTyp")
    MWFJ16 vlastnikTyp(Long vlastnikTyp);
    @Parameter(name = "ZadaniOperator")
    MWFJ16 zadaniOperator(String zadaniOperator);
    @Parameter(name = "ZadaniPoznamka")
    MWFJ16 zadaniPoznamka(String zadaniPoznamka);
    @Parameter(name = "ZadaniTyp")
    MWFJ16 zadaniTyp(String zadaniTyp);
}
